﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Summary
{
    public partial class frmDateRange : Form
    {
        public frmDateRange()
        {
            InitializeComponent();
            this.calendar.MaxSelectionCount = 365;

            this.cmdOk.Click += this.OnButtonClick;
            this.cmdCancel.Click += this.OnButtonClick;
            this.calendar.DateSelected += new DateRangeEventHandler(calendar_DateSelected);
            this.cmdOk.Enabled = false;
        }

        void calendar_DateSelected(object sender, DateRangeEventArgs e)
        {
            this.cmdOk.Enabled = true;
        }

        void  OnButtonClick(object sender, EventArgs e)
        {
 	        this.DialogResult = sender == this.cmdOk ? DialogResult.OK : DialogResult.Cancel;
        }

        public SelectionRange Range
        {
            get
            {
                return this.calendar.SelectionRange;
            }
        }

        public DialogResult ShowDialog(SelectionRange range)
        {
            if ( range != null )
                this.calendar.SelectionRange = new SelectionRange(range.Start, range.End);

            return this.ShowDialog();
        }

    }
}
